sub today {

our ($now_sec,$now_min,$now_hour,$now_dd,$now_mm,$now_year,$now_wday,$now_yday,$isdst)=localtime();

$now_sec = sprintf("%02d", $now_sec) ;
$now_min = sprintf("%02d", $now_min) ;
$now_hour = sprintf("%02d", $now_hour) ;

$now_year += 1900;

$now_dd = sprintf("%02s", $now_dd) ;
$now_mm = sprintf("%02s", $now_mm + 1) ;
$now_yy = sprintf("%02s", $now_year - 2000) ;

use Date::Calc qw(:all);

our ($sayear,$samonth,$saday,$sahour,$samin,$sasec) = Add_Delta_DHMS($now_year,$now_mm,$now_dd,$now_hour,$now_min,$now_sec,0,2,0,0); # add 2 hours for server time

$samonth             = sprintf("%02s", $samonth) ;
$saday               = sprintf("%02s", $saday) ;
$sahour              = sprintf("%02s", $sahour) ;
$samin               = sprintf("%02s", $samin) ;
$sasec               = sprintf("%02s", $sasec) ;

$now_year            = $sayear ;
$now_mm              = $samonth ;
$now_dd              = $saday ;
$now_sec             = $sasec ;
$now_min             = $samin ;
$now_hour            = $sahour ;

$now_hh_min_sec      = $sahour . ':' . $samin . ':' . $sasec ;

$now_ccyymmdd        = $now_year . $now_mm . $now_dd ;
$now_ccyymmddhrmnsc  = $now_year . $now_mm . $now_dd . $now_hour . $now_min . $now_sec ;
$now_dd_mm_ccyy      = $now_dd . '-' . $now_mm . '-' . $now_year ;
$now_ccyy_mm_dd      = $now_year . '-' . $now_mm . '-' . $now_dd ;
$nowsddsmmsccyy      = $now_dd . '/' . $now_mm . '/' . $now_year ;

} #------------------------------------------------------------------------------------------

1;